import { middlewareHttpUtils } from '@/utils/http/middlewareHttpUtils';

export class businessSpaceController {
  static middlewareHttpUtilsInstance = new middlewareHttpUtils();

  //项目关系类型查询
  static async getrelationTypeProject(param, call) {
    var result = await this.middlewareHttpUtilsInstance.postRequest('/graphic/relation_type_project', param);
    result.content = result.data || [];
    call(result);

    // let url = '/datacenter/graphic/relation_type_project';
    // http.postJson(url, param, success)
  }

  //关系-----统计 属于多建筑楼层的空间
  static async getSpaceBdFlCount(param, call) {
    var result = await this.middlewareHttpUtilsInstance.postRequest('/space/space-bd-fl', param);
    call(result);
    // let url = '/equip-component/space/space-bd-fl';
    // http.postJson(url, param, success)
  }

  // 查询业务空间分区类型包含其他
  static async queryAllZoneType(param, call) {
    var result = await this.middlewareHttpUtilsInstance.postRequest('/object/zone/type', param);
    result.content = result.data || [];
    call(result);
    // let url = '/datacenter/object/zone/type';
    // http.postJson(url, param, success)
  }

  // 查询建筑楼层-统计业务空间state
  static async queryBFloorWithState(param, call) {
    var result = await this.middlewareHttpUtilsInstance.postRequest('/object/zone/building-floor', param);
    result.content = result.data || [];
    call(result);
    // let url = '/datacenter/object/zone/building-floor';
    // http.postJson(url, param, success)
  }

  //查询分区对象信息
  static async zoneCount(param, call) {
    var result = await this.middlewareHttpUtilsInstance.postRequest('/object/zone/count', param);
    call(result);
    // let url = '/datacenter/object/zone/count'
    // http.postJson(url, param, success)
  }

}